Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.domain
Class IEssAppComponent.EEssAppComponentType

    java.lang.Object
      com.essbase.api.domain.IEssAppComponent.EEssAppComponentType

All Implemented Interfaces:
  IEssBaseObject, IEssEnum

Enclosing class:
  IEssAppComponent

public static final class IEssAppComponent.EEssAppComponentType
extends java.lang.Object
implements IEssEnum

The EEssAppComponentType class is an enumeration of enterprise application component types.

Field Summary
`static IEssAppComponent.EEssAppComponentType` | `INTEGRATION_SERVER` App component type: Integration server.
`static int` | `INTEGRATION_SERVER_INT_VALUE` App component type (int value): Integration server.
`static IEssAppComponent.EEssAppComponentType` | `OLAP_CUBE` App component type: Essbase cube.
`static int` | `OLAP_CUBE_INT_VALUE` App component type (int value): Essbase cube.
`static IEssAppComponent.EEssAppComponentType` | `OLAP_SERVER` App component type: Essbase server.
`static int` | `OLAP_SERVER_INT_VALUE` App component type (int value): Essbase server.

Constructor Summary
`IEssAppComponent.EEssAppComponentType()`

Method Summary
`IEssEnum` | `fromInt(int intValue)` Gets the IEssEnum from the int value.
`IEssEnum` | `fromString(java.lang.String strValue)` Gets the IEssEnum from the String display value.
`int` | `getCountPossibleValues()` Gets the count of possible values of the enumeration.
`java.lang.String[]` | `getPossibleValues()` Gets the list of possible values of the enumeration.
`int` | `intValue()` Gets the int value of the IEssEnum.
`static IEssAppComponent.EEssAppComponentType` | `sm_fromInt(int intValue)` Gets an enumeration object from its int value.
`static IEssAppComponent.EEssAppComponentType` | `sm_fromString(java.lang.String strValue)` Gets an enumeration object from its string display value.
`static IEssAppComponent.EEssAppComponentType[]` | `sm_values()` Gets all the enumeration objects.
`java.lang.String` | `stringValue()` Gets the String display value of the IEssEnum.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OLAP_SERVER

    public static final IEssAppComponent.EEssAppComponentType OLAP_SERVER

  App component type: Essbase server.

### OLAP_CUBE

    public static final IEssAppComponent.EEssAppComponentType OLAP_CUBE

  App component type: Essbase cube.

### INTEGRATION_SERVER

    public static final IEssAppComponent.EEssAppComponentType INTEGRATION_SERVER

  App component type: Integration server.

### OLAP_SERVER_INT_VALUE

    public static final int OLAP_SERVER_INT_VALUE

  App component type (int value): Essbase server.

  See Also:
    Constant Field Values

### OLAP_CUBE_INT_VALUE

    public static final int OLAP_CUBE_INT_VALUE

  App component type (int value): Essbase cube.

  See Also:
    Constant Field Values

### INTEGRATION_SERVER_INT_VALUE

    public static final int INTEGRATION_SERVER_INT_VALUE

  App component type (int value): Integration server.

  See Also:
    Constant Field Values

Constructor Detail

### IEssAppComponent.EEssAppComponentType

    public IEssAppComponent.EEssAppComponentType()

Method Detail

### sm_fromString

    public static IEssAppComponent.EEssAppComponentType sm_fromString(java.lang.String strValue)
                                                               throws EssException

  Gets an enumeration object from its string display value.

  Parameters:
    `strValue` - The string display value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_fromInt

    public static IEssAppComponent.EEssAppComponentType sm_fromInt(int intValue)
                                                            throws EssException

  Gets an enumeration object from its int value.

  Parameters:
    `intValue` - The int value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_values

    public static IEssAppComponent.EEssAppComponentType[] sm_values()
                                                             throws EssException

  Gets all the enumeration objects.

  Returns:
    The enumeration objects.
  Throws:
    `EssException` - if an error occurs.

### stringValue

    public java.lang.String stringValue()
                                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the String display value of the IEssEnum.

  Specified by:
    `stringValue` in interface `IEssEnum`
  Returns:
    The String display value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### intValue

    public int intValue()
                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the int value of the IEssEnum.

  Specified by:
    `intValue` in interface `IEssEnum`
  Returns:
    The int value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### fromInt

    public IEssEnum fromInt(int intValue)
                     throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the int value.

  Specified by:
    `fromInt` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### fromString

    public IEssEnum fromString(java.lang.String strValue)
                        throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the String display value.

  Specified by:
    `fromString` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### getCountPossibleValues

    public int getCountPossibleValues()
                               throws EssException

  Description copied from interface: `IEssEnum`
  Gets the count of possible values of the enumeration.

  Specified by:
    `getCountPossibleValues` in interface `IEssEnum`
  Returns:
    The count of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### getPossibleValues

    public java.lang.String[] getPossibleValues()
                                         throws EssException

  Description copied from interface: `IEssEnum`
  Gets the list of possible values of the enumeration.

  Specified by:
    `getPossibleValues` in interface `IEssEnum`
  Returns:
    The list of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD